{% extends 'dashboard/base.html' %}

{% block page_content %}
<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 mb-0 text-gray-800">Authorization users</h1>
</div>
<div class="row">
  <div class="col-xl-12 col-lg-12">
    <div class="card shadow mb-11">
      <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
          <h6 class="m-0 font-weight-bold text-primary">Users</h6>
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
            <thead>
              <tr>
                <th>CID</th>
                <th>Name</th>
                <th>Groups</th>
                <th></th>
              </tr>
            </thead>
            <tfoot>
              <tr>
                <th>CID</th>
                <th>Name</th>
                <th>Groups</th>
                <th></th>
              </tr>
            </tfoot>
            <tbody>
              {% for user in users %}
                <tr>
                  <td>{{ user.cid }}</td>
                  <td>{{ user.name }}</td>
                  <td>{{ user.groups }}</td>
                  <td><a href="{{ url_for('auth.edit_groups', user_id=user._id) }}">Edit</a></td>
                </tr>
              {% endfor %}
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}
